include:
  - project: acc-co/devops/python/acc-py-gitlab-ci-templates
    file: v2/python.gitlab-ci.yml

variables:
  PY_VERSION: "3.7"
  ACC_PY_BASE_IMAGE_TAG: '2020.11'
  project_name: cernml.svd

build_wheel:
  extends: .acc_py_build_wheel

test_lint:
  extends:
    - .acc_py_run_on_manylinux_py_version
    - .acc_py_run_on_all_currently_supported
  stage: test
  before_script:
    - !reference [.acc_py_run_on_manylinux_py_version, before_script]
    - python -m pip install ${project_root}[lint,test]
  script:
    - cd ${project_root}
    - ./run_linters.sh ./src

test_dev:
  extends:
    - .acc_py_dev_test
    - .acc_py_run_on_all_currently_supported
  coverage: '/(?i)total.*? (100(?:\.0+)?\%|[1-9]?\d(?:\.\d+)?\%)$/'
  # Override `script` to change the precise pytest-cov arguments.
  script:
    - cd ${project_root}
    - python -m pytest
      --cov=src
      --cov-branch
      --cov-report=term
      --cov-report=html:coverage-html
      --cov-report=xml:coverage-report.xml
      --junitxml=junit-report.xml

test_wheel:
  extends:
    - .acc_py_wheel_test
    - .acc_py_run_on_all_currently_supported
  variables:
    PYTEST_ADDOPTS: "-c ${CI_PROJECT_DIR}/pyproject.toml"

publish:
  extends: .acc_py_publish
